VSTGUI: MultiFrameBitmapView< T > Class Template Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MultiFrameBitmapView< T > Class Template Reference
New classes » Version 4.12.2

an injection class for views that draw frames of a CMultiFrameBitmap More...

`#include <cbitmap.h>`

## Public Member Functions
void | setMultiFrameBitmapRange (int32_t startIndex, int32_t endIndex)
| set the range of the CMultiBitmapFrame this view will use for drawing
std::pair< int32_t, int32_t > | getMultiFrameBitmapRange () const
| get the range of the CMulitBitmapFrame this view will use for drawing
uint16_t | getMultiFrameBitmapRangeLength (const CMultiFrameBitmap &mfb) const
| get the number of frames this view will use for drawing
uint16_t | getInverseIndex (const CMultiFrameBitmap &mfb, uint16_t index) const
| get the inverse index
uint16_t | getMultiFrameBitmapIndex (const CMultiFrameBitmap &mfb, float normValue) const
| get the frame index for a normalized value
float | getNormValueFromMultiFrameBitmapIndex (const CMultiFrameBitmap &mfb, uint16_t index) const
| get the normalized value for a frame index

## Detailed Description

template<typename T>
class VSTGUI::MultiFrameBitmapView< T >

an injection class for views that draw frames of a CMultiFrameBitmap

a view/control can inherit from this class to support drawing only frames in a range of the multi-frame bitmap.

## Member Function Documentation

## ◆ getInverseIndex()

template<typename T>

uint16_t getInverseIndex | ( | const CMultiFrameBitmap & | mfb,
|  | uint16_t | index ) const
| inline

get the inverse index

Parameters

  mfb | the bitmap
  index | the index

Returns
  the inverse index

## ◆ getMultiFrameBitmapIndex()

template<typename T>

uint16_t getMultiFrameBitmapIndex | ( | const CMultiFrameBitmap & | mfb,
|  | float | normValue ) const
| inline

get the frame index for a normalized value

Parameters

  mfb | the bitmap
  normValue | the normalized value

Returns
  the index of the frame for the value

## ◆ getMultiFrameBitmapRange()

template<typename T>

std::pair< int32_t, int32_t > getMultiFrameBitmapRange | ( |  | ) | const
| inline

get the range of the CMulitBitmapFrame this view will use for drawing

Returns
  a std::pair with the start and end index

## ◆ getMultiFrameBitmapRangeLength()

template<typename T>

uint16_t getMultiFrameBitmapRangeLength | ( | const CMultiFrameBitmap & | mfb | ) | const
| inline

get the number of frames this view will use for drawing

Parameters

  mfb | the bitmap

Returns
  the number of frames

## ◆ getNormValueFromMultiFrameBitmapIndex()

template<typename T>

float getNormValueFromMultiFrameBitmapIndex | ( | const CMultiFrameBitmap & | mfb,
|  | uint16_t | index ) const
| inline

get the normalized value for a frame index

Parameters

  mfb | the bitmap
  index | the frame index

Returns
  the normalized value

## ◆ setMultiFrameBitmapRange()

template<typename T>

void setMultiFrameBitmapRange | ( | int32_t | startIndex,
|  | int32_t | endIndex )
| inline

set the range of the CMultiBitmapFrame this view will use for drawing

Parameters

  startIndex | the first frame to draw
  endIndex | the last frame to draw

The documentation for this class was generated from the following file:

- cbitmap.h